--- ssh_blocker.sh.orig	Sat Jan  1 23:34:33 2005
+++ ssh_blocker.sh	Sat Jan  1 23:29:12 2005
@@ -29,12 +29,12 @@
 # configuration variables (DEFAULTS)
 pfctl="/sbin/pfctl"
 pf_table="sshscan"
-authlog_path="/var/log/authlog"
+authlog_path="/var/log/auth.log"
 white_list=" 127.0.0.1"
 verbose=""
 log_path=""
 
-function usage
+usage()
 {
 cat << USAGE
 ssh_blocker for OpenBSD and Packet Filter ($VERSION)
@@ -93,7 +93,7 @@
 
 if [ "X$log_path" = "X" ]; then
 	# get the IPs of people trying illegal users from authlog
-	infected_list=$(awk '/Failed\ password\ for\ (illegal|invalid)\ user/ { print $13 }' $authlog_path)
+	infected_list=$(awk '/Illegal\ user/ { print $10 }' /var/log/auth.log $authlog_path)
 else
 	if [ "X$verbose" = "XYES" ]; then
 		echo "$(date '+%b %d %T'): using ssh_blocker log ($log_path) instead authlog"
